/business-accounts/{id}

GET business-accounts (with the specified identifier)

Path Parameters
  • id
    Type: string
    required
Responses
  • application/json
  • application/json
Request Example for get/business-accounts/{id}
curl 'https://api.bedrijvencheck.nl/24/business-accounts/{id}' \
  --header 'Authorization: Basic username:password'
{
  "business_account": {
    "id": "string",
    "external_id": "string",
    "status": "string",
    "check_process": "string",
    "company": {
      "company_name": "string",
      "legal_form": "string",
      "bank_account": {
        "owner": "string",
        "number": "string"
      },
      "visiting_address": {
        "address": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string"
      },
      "postal_address": {
        "address": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string"
      },
      "same_address": true,
      "industry": "string",
      "phone_number": "string",
      "fax_number": "string",
      "year_established": "string",
      "coc_registration_number": "string",
      "rsin_number": "string",
      "vat_number": "string",
      "email_address": "string",
      "finance_email_address": "string",
      "website": "string",
      "main_activity": "string",
      "director": {
        "initials": "string",
        "last_name_prefix": "string",
        "last_name": "string",
        "gender": "string",
        "date_of_birth": "string",
        "function": "string",
        "identification_document": {
          "type": "string",
          "number": "string"
        }
      }
    },
    "contract_contact": {
      "first_name": "string",
      "last_name": "string",
      "gender": "string",
      "phone_number": "string",
      "mobile_phone_number": "string",
      "email_address": "string",
      "fax_number": "string"
    },
    "administrative_contact": {
      "first_name": "string",
      "last_name": "string",
      "gender": "string",
      "phone_number": "string",
      "mobile_phone_number": "string",
      "email_address": "string",
      "fax_number": "string"
    },
    "same_contact": true,
    "users": [
      {
        "id": "string",
        "registration_id": "string",
        "status": "string",
        "role": "user",
        "first_name": "string",
        "last_name": "string",
        "email_address": "string",
        "gender": "string"
      }
    ],
    "check_executions": [
      {
        "id": "string",
        "type": "string",
        "performed_at": "string",
        "status": "string",
        "extra_fields": [
          {
            "key": "string",
            "value": "string"
          }
        ],
        "message": "string",
        "cases": [
          {
            "identifier": "string",
            "type": "string",
            "matched": [
              "string"
            ]
          }
        ],
        "pdf_report_url": "string",
        "html_report_url": "string"
      }
    ],
    "appointments": [
      {
        "appointment_id": "string",
        "registration_id": "string",
        "status": "string",
        "type": "string",
        "keysafe_id": "string",
        "location_id": "string",
        "location_name": "string",
        "external_id": "string",
        "start_date": "string",
        "end_date": "string"
      }
    ],
    "webhooks": [
      {
        "purpose": "string",
        "url": "string"
      }
    ],
    "created_at": "2026-09-01T15:15:25.292Z",
    "updated_at": "2026-09-01T15:15:25.292Z",
    "source": {
      "source": "string",
      "sourceid": "string",
      "organisation_name": "string",
      "organization_coc_registration_number": "string",
      "username": "string",
      "userid": 1,
      "location": "string",
      "location_id": "string"
    }
  }
}